| The Gaudi Framework v32r1 (f65d50dc)

Classes | Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
DataHistory Class Reference

DataHistory class definition. More...

`#include <GaudiKernel/DataHistory.h>`

Inheritance diagram for DataHistory:
[legend]
Collaboration diagram for DataHistory:
[legend]

## Classes
class | DataHistoryOrder

## Public Member Functions
| DataHistory (const CLID &id, std::string key, AlgorithmHistory *alg)
const CLID & | clID () const override
| Retrieve reference to class definition structure. More...
std::string | dataKey () const
const CLID & | dataClassID () const
AlgorithmHistory * | algorithmHistory () const
void | dump (std::ostream &, const bool isXML=false, int indent=0) const override
Public Member Functions inherited from HistoryObj
| HistoryObj ()=default
virtual | ~HistoryObj ()=default
const CLID & | clID () const override
| Retrieve reference to class definition structure. More...
Public Member Functions inherited from DataObject
| DataObject ()
| Standard Constructor. More...
| DataObject (const DataObject &rhs)
| Copy Constructor. More...
DataObject & | operator= (const DataObject &rhs)
| Assignment Operator. More...
| DataObject (DataObject &&rhs)
| Move Constructor. More...
DataObject & | operator= (DataObject &&rhs)
| Move Assignment Operator. More...
virtual | ~DataObject ()
| Standard Destructor. More...
virtual unsigned long | addRef ()
| Add reference to object. More...
virtual unsigned long | release ()
| release reference to object More...
const std::string & | name () const
| Retreive DataObject name. It is the name when registered in the store. More...
virtual StatusCode | update ()
| Provide empty placeholder for internal object reconfiguration callback. More...
void | setRegistry (IRegistry *pRegistry)
| Set pointer to Registry. More...
IRegistry * | registry () const
| Get pointer to Registry. More...
LinkManager * | linkMgr () const
| Retrieve Link manager. More...
unsigned char | version () const
| Retrieve version number of this object representation. More...
void | setVersion (unsigned char vsn)
| Set version number of this object representation. More...
unsigned long | refCount () const
| Return the refcount. More...
virtual std::ostream & | fillStream (std::ostream &s) const
| Fill the output stream (ASCII) More...

## Static Public Member Functions
static const CLID & | classID ()
Static Public Member Functions inherited from HistoryObj
static const CLID & | classID ()
static std::string | convert_string (const std::string &)
Static Public Member Functions inherited from DataObject
static const CLID & | classID ()
| Retrieve reference to class definition structure (static access) More...

## Private Attributes
CLID | m_dataClassID
std::string | m_dataKey
AlgorithmHistory * | m_algHist
std::string | m_dummy = "none"

## Additional Inherited Members
Protected Member Functions inherited from HistoryObj
virtual void | indent (std::ostream &, int) const

## Detailed Description

DataHistory class definition.

Author
  : Charles Leggett

Definition at line 23 of file DataHistory.h.

## Constructor & Destructor Documentation

## ◆ DataHistory()

DataHistory::DataHistory | ( | const CLID & | id,
|  | std::string | key,
|  | AlgorithmHistory * | alg
| ) |  |

Definition at line 25 of file DataHistory.cpp.

26 : m_dataClassID( id ), m_dataKey( std::move( key ) ), m_algHist( alg ) {}
ManySmallAlgs.alg
alg
Definition: ManySmallAlgs.py:69
DataHistory::m_algHist
AlgorithmHistory * m_algHist
Definition: DataHistory.h:50
std::move
T move(T... args)
DataHistory::m_dataClassID
CLID m_dataClassID
Definition: DataHistory.h:48
DataHistory::m_dataKey
std::string m_dataKey
Definition: DataHistory.h:49

## Member Function Documentation

## ◆ algorithmHistory()

AlgorithmHistory* DataHistory::algorithmHistory | ( |  | ) | const
| inline

Definition at line 43 of file DataHistory.h.

43 { return m_algHist; }
DataHistory::m_algHist
AlgorithmHistory * m_algHist
Definition: DataHistory.h:50

## ◆ classID()

const CLID & DataHistory::classID | ( |  | ) |
| static

Definition at line 30 of file DataHistory.cpp.

30 {
31 static const CLID CLID_DataHistory = 83814411; // from `clid DataHistory`
32
33 return CLID_DataHistory;
34 }
CLID
unsigned int CLID
Class ID definition.
Definition: ClassID.h:8

## ◆ clID()

const CLID& DataHistory::clID | ( |  | ) | const
| inline override virtual

Retrieve reference to class definition structure.

Retrieve Pointer to class definition structure.

Reimplemented from DataObject.

Definition at line 37 of file DataHistory.h.

37 { return DataHistory::classID(); }
DataHistory::classID
static const CLID & classID()
Definition: DataHistory.cpp:30

## ◆ dataClassID()

const CLID& DataHistory::dataClassID | ( |  | ) | const
| inline

Definition at line 41 of file DataHistory.h.

41 { return m_dataClassID; }
DataHistory::m_dataClassID
CLID m_dataClassID
Definition: DataHistory.h:48

## ◆ dataKey()

std::string DataHistory::dataKey | ( |  | ) | const
| inline

Definition at line 40 of file DataHistory.h.

40 { return m_dataKey; }
DataHistory::m_dataKey
std::string m_dataKey
Definition: DataHistory.h:49

## ◆ dump()

void DataHistory::dump | ( | std::ostream & | ost,
|  | const bool | isXML = `false`,
|  | int | indent = `0`
| ) |  | const
| override virtual

Implements HistoryObj.

Definition at line 38 of file DataHistory.cpp.

38 {
39 ost << "ClassID: " << dataClassID() << endl
40 << "Key: " << dataKey() << endl
41 << "AlgorithmHistory: " << (void*)algorithmHistory() << endl;
42 }
DataHistory::dataClassID
const CLID & dataClassID() const
Definition: DataHistory.h:41
DataHistory::algorithmHistory
AlgorithmHistory * algorithmHistory() const
Definition: DataHistory.h:43
std::endl
T endl(T... args)
DataHistory::dataKey
std::string dataKey() const
Definition: DataHistory.h:40

## Member Data Documentation

## ◆ m_algHist

AlgorithmHistory* DataHistory::m_algHist
| private

Definition at line 50 of file DataHistory.h.

## ◆ m_dataClassID

CLID DataHistory::m_dataClassID
| private

Definition at line 48 of file DataHistory.h.

## ◆ m_dataKey

std::string DataHistory::m_dataKey
| private

Definition at line 49 of file DataHistory.h.

## ◆ m_dummy

std::string DataHistory::m_dummy = "none"
| private

Definition at line 51 of file DataHistory.h.

The documentation for this class was generated from the following files:

- GaudiKernel/GaudiKernel/DataHistory.h
- GaudiKernel/src/Lib/DataHistory.cpp